Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.propertyMap
Class PropertyMapEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.togethersoft.openapi.util.DispatchableEvent
                  |
                  +--com.togethersoft.openapi.util.propertyMap.PropertyMapEvent

public class PropertyMapEvent
extends DispatchableEvent

The `PropertyMapEvent` is used in implementaions of `PropertyMap` interface to deliver information about changes in a property.

Author:
  TogetherSoft

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PropertyMapEvent(PropertyMap map, Property property, Object oldValue, boolean propertyAdded)` Constructs a new `PropertyMapEvent`.
`PropertyMapEvent(PropertyMap map, Object propertyKey)` Constructs a new `PropertyMapEvent`.

Method Summary
`void` | `dispatch(EventListener listener)` Executes a listener's `propertiesChanged`() method.
`Object` | `getOldValue()` Retuns an old value of the changed `Property`.
`Property` | `getProperty()` Returns the changed `Property` instance.
`Object` | `getPropertyKey()` Returns a key object for the changed `Property`.
`PropertyMap` | `getPropertyMap()` Returns `PropertyMap` instance which fired this event.
`boolean` | `isPropertyAdded()` Checks whether value has been added.
`String` | `toString()` Returns a string containing a key, old and new values of the changed `Property`.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### PropertyMapEvent

    public PropertyMapEvent(PropertyMap map, Property property, Object oldValue, boolean propertyAdded)

  Constructs a new `PropertyMapEvent`.
  Parameters:
    map - the `PropertyMap` instance that fired this event.
    property - the changed property
    oldValue - the old value of changed property
    propertyAdded - true if property was added with addProperty method

### PropertyMapEvent

    public PropertyMapEvent(PropertyMap map, Object propertyKey)

  Constructs a new `PropertyMapEvent`.
  Parameters:
    map - the `PropertyMap` instance that fired this event.
    propertyKey - a key object of the changed property

Method Detail

### dispatch

    public void dispatch(EventListener listener)

  Executes a listener's `propertiesChanged`() method.
  Parameters:
    listener - a `PropertyMapListener` kind of a listener
  See Also:
    PropertyMapListener

### getOldValue

    public Object getOldValue()

  Retuns an old value of the changed `Property`.
  Returns: an old value of the changed `Property`

### getProperty

    public Property getProperty()

  Returns the changed `Property` instance.
  Returns: the changed `Property` instance

### getPropertyKey

    public Object getPropertyKey()

  Returns a key object for the changed `Property`.
  Returns: a key object for the changed `Property`

### getPropertyMap

    public PropertyMap getPropertyMap()

  Returns `PropertyMap` instance which fired this event.
  Parameters:
    `PropertyMap` - instance which fired this event

### isPropertyAdded

    public boolean isPropertyAdded()

  Checks whether value has been added.
  Returns: true if so, false otherwise

### toString

    public String toString()

  Returns a string containing a key, old and new values of the changed `Property`.
  Returns: a string containing a key, old and new values of the changed `Property`

Association Links

to Class com.togethersoft.openapi.util.propertyMap.Property

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD